#
# spec file for package perl-HTML-Tidy
#
# Copyright (c) 2013 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           perl-HTML-Tidy
Version:        1.56
Release:        5.4
%define cpan_name HTML-Tidy
Summary:        (X)HTML validation in a Perl object
License:        Artistic-2.0
Group:          Development/Libraries/Perl
Url:            http://search.cpan.org/dist/HTML-Tidy/
Source:         http://www.cpan.org/authors/id/P/PE/PETDANCE/HTML-Tidy-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
# MANUAL
BuildRequires:  libtidyp-devel
BuildRequires:  perl
BuildRequires:  perl-macros
BuildRequires:  perl(Carp)
BuildRequires:  perl(Exporter)
BuildRequires:  perl(ExtUtils::MakeMaker)
BuildRequires:  perl(Test::Builder)
BuildRequires:  perl(Test::More)
BuildRequires:  perl(constant)
BuildRequires:  perl(overload)
# MANUAL BEGIN
BuildRequires:  perl(Alien::Tidyp)
Requires:       perl(LWP::Simple)
BuildRequires:  perl(LWP::Simple)
# MANUAL END
Requires:       perl(Carp)
Requires:       perl(Exporter)
Requires:       perl(Test::Builder)
Requires:       perl(Test::More)
Requires:       perl(constant)
Requires:       perl(overload)
%{perl_requires}

%description
'HTML::Tidy' is an HTML checker in a handy dandy object. It's meant as a
replacement for HTML::Lint. If you're currently an HTML::Lint user looking
to migrate, see the section the /Converting from HTML::Lint manpage.

%prep
%setup -q -n %{cpan_name}-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor OPTIMIZE="%{optflags}"
%{__make} %{?_smp_mflags}

%check
%{__make} test

%install
%perl_make_install
%perl_process_packlist
%perl_gen_filelist

%clean
%{__rm} -rf %{buildroot}

%files -f %{name}.files
%defattr(-,root,root,755)
%doc Changes README.markdown

%changelog
* Thu Sep 26 2013 pgajdos@suse.com
- updated to 1.56
  * webtidy's version statement now shows the version number of
    the underlying tidyp library.
  * Fixed an undef warning in parse().  Thanks, Vladimir Timofeev.
  * utf8 was never encoded correctly.  Thanks, Vladimir Timofeev
    and Alistair Francis.
  * The ->parse() method would sometimes return false even though
    everything worked fine.  Thanks, @sebaer.
* Thu Nov 29 2012 pgajdos@suse.com
- license Artistic-2.0
* Tue Apr 12 2011 coolo@opensuse.org
- updated to 1.54
  * Fixed incorrect calls to croak().  Thanks, Steve Grazzini.
- update to 1.52
  * First release since the major overhaul that relies on libtidyp.
* Tue Nov 30 2010 coolo@novell.com
- switch to perl_requires macro
* Mon Nov 29 2010 coolo@novell.com
- remove /var/adm/perl-modules
* Sun Nov 28 2010 coolo@novell.com
- remove .packlist file
* Tue Jul 31 2007 pgajdos@suse.cz
- moved from OBS, version 1.08
* Fri Jun 22 2007 sierkb@gmx.de
- small changes to the spec file
- 1.08, don't fail on failing test suite for now, see
  http://rt.cpan.org/Ticket/Display.html?id=26875
* Wed Jun 20 2007 suse-tux@gmx.de
- initial build
